### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# core.display

## Module: `core.display`

Top-level display functions for displaying object in different formats.

Authors:

- Brian Granger

## Functions

`IPython.core.display.``display`(*objs, **kwargs)

  Display a Python object in all frontends.

  By default all representations will be computed and sent to the frontends. Frontends can decide which representation is used and how.

  Parameters :

  objs : tuple of objects

  > The Python objects to display.

  include : list or tuple, optional

  > A list of format type strings (MIME types) to include in the format data dict. If this is set only the format types included in this list will be computed.

  exclude : list or tuple, optional

  > A list of format type string (MIME types) to exclue in the format data dict. If this is set all format types will be computed, except for those included in this argument.

`IPython.core.display.``display_html`(*objs)

  Display the HTML representation of an object.

  Parameters :

  objs : tuple of objects

  > The Python objects to display.

`IPython.core.display.``display_javascript`(*objs)

  Display the Javascript representation of an object.

  Parameters :

  objs : tuple of objects

  > The Python objects to display.

`IPython.core.display.``display_json`(*objs)

  Display the JSON representation of an object.

  Parameters :

  objs : tuple of objects

  > The Python objects to display.

`IPython.core.display.``display_latex`(*objs)

  Display the LaTeX representation of an object.

  Parameters :

  objs : tuple of objects

  > The Python objects to display.

`IPython.core.display.``display_png`(*objs)

  Display the PNG representation of an object.

  Parameters :

  objs : tuple of objects

  > The Python objects to display.

`IPython.core.display.``display_pretty`(*objs)

  Display the pretty (default) representation of an object.

  Parameters :

  objs : tuple of objects

  > The Python objects to display.

`IPython.core.display.``display_svg`(*objs)

  Display the SVG representation of an object.

  Parameters :

  objs : tuple of objects

  > The Python objects to display.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »